% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_publication.R
\name{get_publication}
\alias{get_publication}
\title{Retrieve a specific publication}
\usage{
get_publication(publicationid = NA, good_manners = 0)
}
\arguments{
\item{publicationid}{Character string indicating the id of the publication to request all votes from}

\item{good_manners}{Integer. Seconds delay between calls when making multiple calls to the same function}
}
\value{
A raw html_document
}
\description{
A function for retrieving a specific publication. Because these are formated very differently in the API,
the returning object is in a raw html_document format, best manipulated with html packages such as \link{rvest}.
}
\examples{

\dontrun{
pub <- get_publication("refs-201819-03-06")
(pub \%>\% html_elements("replikk"))[1] \%>\% html_text()
}

 
}
\seealso{
\link{get_question} \link{get_question_hour} \link{get_session_publications}
}
