% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read_obt.R
\name{read_obt}
\alias{read_obt}
\title{Read Oslo-Bergen-Tagger processed files into R}
\usage{
read_obt(file = NA)
}
\arguments{
\item{file}{character. Path to OBT-tagged file}
}
\value{
A data frame with the following variables:\tabular{ll}{
    \tab  \cr
   \strong{sentence} \tab Sentence number \cr
   \strong{index} \tab Token number in sentence \cr
   \strong{token} \tab Raw token, as read by OBT originally \cr
   \strong{lwr} \tab Lowercase raw token \cr
   \strong{lemma} \tab Lemmatized token \cr
   \strong{pos} \tab Part of Speech \cr
   \strong{morph} \tab Morphological tags \cr
}
}
\description{
A function reading OBT-tagged files
}
\examples{

\dontrun{
sample_text <- read_obt("./inst/extdata/obt_sample.txt")
head(sample_text)
}
}
